Component({
  props: {
    classStyleName: '' // 样式名称

  },
  data: {
    inpatientSelectionPopUpOpened: false,
    // 弹出框是否显示
    title: '本次是谁住院？',
    // 标题
    onChoosePatient: null,
    // 选择就诊人与本人关系
    onButtonClose: null,
    // 关闭莫态框
    popupPosition: 'bottom',
    // 弹出方向
    inpatientSelectionList: [{
      name: '本人'
    }, {
      name: '父母'
    }, {
      name: '子女'
    }, {
      name: '配偶'
    }, {
      name: '亲朋'
    }, {
      name: '其他人'
    }] // 就诊人与本人关系列表

  },

  didMount() {
    // 将当前实例赋值给父组件
    this.$page.$confirm = this;
  },

  methods: {
    /**
     * 点击关闭事件
     */
    onClose() {
      this.data.onButtonClose();
    },

    /**
    * 打开弹出框
    * @param {*} options 父组件向弹出框传来的参数
    */
    showPopover(options) {
      this.setData({ ...options,
        inpatientSelectionPopUpOpened: true
      });
    },

    /**
    * 关闭弹出框
    */
    hidePopover() {
      this.setData({
        inpatientSelectionPopUpOpened: false
      });
    },

    /**
     * 选中当前项
     * @param e
     */
    onChoosePatientRelation(e) {
      // 当前选中项
      const {
        target: {
          dataset: {
            item
          }
        }
      } = e;
      this.data.onChoosePatient(item);
    }

  }
});